---
#
#  Initialize access tokens for Harbor.
#
#  Returns:
#    harbor_auth: Basic auth string for Harbor
#

- name: Get secret from helm secret harbor-core-envvars
  k8s_secret_info:
    name: "{{ config.harbor.fullname_override }}-core"
    namespace: "{{ config.harbor.namespace }}"
  register: harbor_core_envvars_secret
  no_log: true

- name: Get HARBOR_ADMIN_PASSWORD from secret and put in fact
  set_fact:
    harbor_auth: "{{ ':'.join(('admin',harbor_core_envvars_secret.get('HARBOR_ADMIN_PASSWORD'))) | b64encode }}"
